Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -5455,7 +9374,519 @@
 This information is found in Casio GV-10 AVI videos.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Software                             N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Software                             no
+
+=head2 DJI Tags
+
+This table lists tags found in the maker notes of images from some DJI
+Phantom drones.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   Make                                 string
+  0x0003   SpeedX                               float
+  0x0004   SpeedY                               float
+  0x0005   SpeedZ                               float
+  0x0006   Pitch                                float
+  0x0007   Yaw                                  float
+  0x0008   Roll                                 float
+  0x0009   CameraPitch                          float
+  0x000a   CameraYaw                            float
+  0x000b   CameraRoll                           float
+
+=head3 DJI XMP Tags
+
+XMP tags used by DJI for images from drones.
+
+These tags belong to the ExifTool XMP-drone-dji family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AbsoluteAltitude                              real
+  CalibratedFocalLength                         real
+  CalibratedOpticalCenterX                      real
+  CalibratedOpticalCenterY                      real
+  CamReverse                                    string
+  DewarpData                                    string
+  DewarpFlag                                    string
+  FlightPitchDegree                             real
+  FlightRollDegree                              real
+  FlightXSpeed                                  real
+  FlightYSpeed                                  real
+  FlightYawDegree                               real
+  FlightZSpeed                                  real
+  GPSLatitude                                   real/
+  GPSLongitude                                  real/
+  GPSLongtitude                                 real
+  GimbalPitchDegree                             real
+  GimbalReverse                                 string
+  GimbalRollDegree                              real
+  GimbalYawDegree                               real
+  Latitude                                      real
+  Longitude                                     real
+  RelativeAltitude                              real
+  RtkFlag                                       string
+  RtkStdHgt                                     real
+  RtkStdLat                                     real
+  RtkStdLon                                     real
+  SelfData                                      string
+
+=head3 DJI ThermalParams Tags
+
+Thermal parameters extracted from APP4 of DJI RJPEG files from the ZH20T.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     36    K1                                   no
+     40    K2                                   no
+     44    K3                                   no
+     48    K4                                   no
+     52    KF                                   no
+     56    B1                                   no
+     60    B2                                   no
+     68    ObjectDistance                       no
+     70    RelativeHumidity                     no
+     72    Emissivity                           no
+     74    Reflection                           no
+     76    AmbientTemperature                   no
+     80    D2                                   no
+     84    KJ                                   no
+     86    DB                                   no
+     88    KK                                   no
+
+=head2 FLIR Tags
+
+Information extracted from the maker notes of JPEG images from thermal
+imaging cameras by FLIR Systems Inc.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   ImageTemperatureMax                  rational64u
+  0x0002   ImageTemperatureMin                  rational64u
+  0x0003   Emissivity                           rational64u
+  0x0004   UnknownTemperature?                  rational64u
+  0x0005   CameraTemperatureRangeMax?           rational64u
+  0x0006   CameraTemperatureRangeMin?           rational64u
+
+=head3 FLIR FFF Tags
+
+Information extracted from FLIR FFF images and the APP1 FLIR segment of JPEG
+images.  These tags may also be extracted from the first frame of an FLIR
+SEQ file.
+
+  Tag ID       Tag Name                         Writable
+  ------       --------                         --------
+  '_header'    FFFHeader                        FLIR Header
+  0x0001       RawData                          FLIR RawData
+  0x0005       GainDeadData                     FLIR GainDeadData
+  0x0006       CoarseData                       FLIR CoarseData
+  0x000e       EmbeddedImage                    FLIR EmbeddedImage
+  0x0020       CameraInfo                       FLIR CameraInfo
+  0x0021       MeasurementInfo                  FLIR MeasInfo
+  0x0022       PaletteInfo                      FLIR PaletteInfo
+  0x0023       TextInfo                         FLIR TextInfo
+  0x0024       EmbeddedAudioFile                no
+  0x0028       PaintData                        FLIR PaintData
+  0x002a       PiP                              FLIR PiP
+  0x002b       GPSInfo                          FLIR GPSInfo
+  0x002c       MeterLink                        FLIR MeterLink
+  0x002e       ParameterInfo                    FLIR ParamInfo
+
+=head3 FLIR Header Tags
+
+Tags extracted from the FLIR FFF/AFF header.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    CreatorSoftware                      no
+
+=head3 FLIR RawData Tags
+
+The thermal image data may be stored either as raw data, or in PNG format.
+If stored as raw data, ExifTool adds a TIFF header to allow the data to be
+viewed as a TIFF image.  If stored in PNG format, the PNG image is extracted
+as-is.  Note that most FLIR cameras using the PNG format seem to write the
+16-bit raw image data in the wrong byte order.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      1    RawThermalImageWidth                 no
+      2    RawThermalImageHeight                no
+     16    RawThermalImageType                  no
+   16.1    RawThermalImage                      no
+
+=head3 FLIR GainDeadData Tags
+
+Information found in FFF-format .GAN calibration image files.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      1    GainDeadMapImageWidth                no
+      2    GainDeadMapImageHeight               no
+     16    GainDeadMapImageType                 no
+   16.1    GainDeadMapImage                     no
+
+=head3 FLIR CoarseData Tags
+
+Information found in FFF-format .CRS correction image files.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      1    CoarseMapImageWidth                  no
+      2    CoarseMapImageHeight                 no
+     16    CoarseMapImageType                   no
+   16.1    CoarseMapImage                       no
+
+=head3 FLIR EmbeddedImage Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      1    EmbeddedImageWidth                   no
+      2    EmbeddedImageHeight                  no
+     16    EmbeddedImageType                    no
+   16.1    EmbeddedImage                        no
+
+=head3 FLIR CameraInfo Tags
+
+FLIR camera information.  The Planck tags are variables used in the
+temperature calculation.  See
+L<https://exiftool.org/forum/index.php?topic=4898.msg23972#msg23972>
+for details.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     32    Emissivity                           no
+     36    ObjectDistance                       no
+     40    ReflectedApparentTemperature         no
+     44    AtmosphericTemperature               no
+     48    IRWindowTemperature                  no
+     52    IRWindowTransmission                 no
+     60    RelativeHumidity                     no
+     88    PlanckR1                             no
+     92    PlanckB                              no
+     96    PlanckF                              no
+    112    AtmosphericTransAlpha1               no
+    116    AtmosphericTransAlpha2               no
+    120    AtmosphericTransBeta1                no
+    124    AtmosphericTransBeta2                no
+    128    AtmosphericTransX                    no
+    144    CameraTemperatureRangeMax            no
+    148    CameraTemperatureRangeMin            no
+    152    CameraTemperatureMaxClip             no
+    156    CameraTemperatureMinClip             no
+    160    CameraTemperatureMaxWarn             no
+    164    CameraTemperatureMinWarn             no
+    168    CameraTemperatureMaxSaturated        no
+    172    CameraTemperatureMinSaturated        no
+    212    CameraModel                          no
+    244    CameraPartNumber                     no
+    260    CameraSerialNumber                   no
+    276    CameraSoftware                       no
+    368    LensModel                            no
+    400    LensPartNumber                       no
+    416    LensSerialNumber                     no
+    436    FieldOfView                          no
+    492    FilterModel                          no
+    508    FilterPartNumber                     no
+    540    FilterSerialNumber                   no
+    776    PlanckO                              no
+    780    PlanckR2                             no
+    784    RawValueRangeMin                     no
+    786    RawValueRangeMax                     no
+    824    RawValueMedian                       no
+    828    RawValueRange                        no
+    900    DateTimeOriginal                     no
+    912    FocusStepCount                       no
+   1116    FocusDistance                        no
+   1124    FrameRate                            no
+
+=head3 FLIR MeasInfo Tags
+
+Tags listed below are only for the first measurement tool, however multiple
+measurements may be added, and information is extracted for all of them.
+Tags for subsequent measurements are generated as required with the prefixes
+"Meas2", "Meas3", etc.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Meas1Label                                    no
+  Meas1Params                                   no
+  Meas1Type                                     no
+
+=head3 FLIR PaletteInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PaletteColors                        no
+      6    AboveColor                           no
+      9    BelowColor                           no
+     12    OverflowColor                        no
+     15    UnderflowColor                       no
+     18    Isotherm1Color                       no
+     21    Isotherm2Color                       no
+     26    PaletteMethod                        no
+     27    PaletteStretch                       no
+     48    PaletteFileName                      no
+     80    PaletteName                          no
+    112    Palette                              no
+
+=head3 FLIR TextInfo Tags
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Label0                                        no
+  Label1                                        no
+  Label2                                        no
+  Label3                                        no
+  Value0                                        no
+  Value1                                        no
+  Value2                                        no
+  Value3                                        no
+
+=head3 FLIR PaintData Tags
+
+Information generated by FLIR Tools "Paint colors" tool.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      5    PaintImageWidth                      no
+      6    PaintImageHeight                     no
+     20    PaintImageType                       no
+   20.1    PaintImage                           no
+
+=head3 FLIR PiP Tags
+
+FLIR Picture in Picture tags.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    Real2IR                              no
+      2    OffsetX                              no
+      3    OffsetY                              no
+      4    PiPX1                                no
+      5    PiPX2                                no
+      6    PiPY1                                no
+      7    PiPY2                                no
+
+=head3 FLIR GPSInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    GPSValid                             no
+      4    GPSVersionID                         no
+      8    GPSLatitudeRef                       no
+     10    GPSLongitudeRef                      no
+     16    GPSLatitude                          no
+     24    GPSLongitude                         no
+     32    GPSAltitude                          no
+     64    GPSDOP                               no
+     68    GPSSpeedRef                          no
+     70    GPSTrackRef                          no
+     76    GPSSpeed                             no
+     80    GPSTrack                             no
+     88    GPSMapDatum                          no
+
+=head3 FLIR MeterLink Tags
+
+Tags containing Meterlink humidity meter information.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     26    Reading1Units                        no
+     28    Reading1Description                  no
+     32    Reading1Device                       no
+     96    Reading1Value                        no
+    126    Reading2Units                        no
+    128    Reading2Description                  no
+    132    Reading2Device                       no
+    196    Reading2Value                        no
+    226    Reading3Units                        no
+    228    Reading3Description                  no
+    232    Reading3Device                       no
+    296    Reading3Value                        no
+    326    Reading4Units                        no
+    328    Reading4Description                  no
+    332    Reading4Device                       no
+    396    Reading4Value                        no
+
+=head3 FLIR ParamInfo Tags
+
+  Tag Name                                      Writable
+  --------                                      --------
+  DateTimeGenerated                             no
+  Param0                                        no
+  Param1                                        no
+  Param2                                        no
+  Param3                                        no
+
+=head3 FLIR UserData Tags
+
+Tags written by some FLIR cameras in a top-level (!) "udta" atom of MP4
+videos.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'uuid'   FLIR_Parts                           FLIR Parts
+           FLIR_Serial                          FLIR SerialNums
+           FLIR_Params                          FLIR Params
+           FLIR_UnknownUUID                     FLIR UnknownUUID
+           FLIR_GPS                             FLIR GPS_UUID
+           FLIR_MoreInfo                        FLIR MoreInfo
+           SoftwareComponents?                  no
+           FLIR_Unknown?                        no
+           Units                                no+
+           ThumbnailImage                       no
+
+=head3 FLIR Parts Tags
+
+Tags extracted from the "uuid" box with ID 43c3993b0f94424b82056b66513f485d
+in FLIR MP4 videos.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    BAHPVer                              no
+           BALPVer                              no
+           Battery                              no
+           BAVPVer                              no
+           CamCore                              no
+           DetectorBoard                        no
+           Detector                             no
+           GIDCVer                              no
+           GIDPVer                              no
+           GIPC_CPLD                            no
+           GIPCVer                              no
+           GIXIVer                              no
+           MainBoard                            no
+           Optics                               no
+           PartNumber                           no
+
+=head3 FLIR SerialNums Tags
+
+Tags extracted from the "uuid" box with ID 57f5b93e51e448afa0d9c3ef1b37f712
+in FLIR MP4 videos.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     12    UnknownSerial1?                      no
+     45    UnknownSerial2?                      no
+     78    UnknownSerial3?                      no
+    111    UnknownSerial4?                      no
+    123    UnknownNumber?                       no
+    126    CameraSerialNumber                   no
+
+=head3 FLIR Params Tags
+
+Tags extracted from the "uuid" box with ID 41e5dcf9e80a41ceadfe7f0c58082c19
+in FLIR MP4 videos.
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    ReflectedApparentTemperature         no
+      2    AtmosphericTemperature               no
+      3    Emissivity                           no
+      4    ObjectDistance                       no
+      5    RelativeHumidity                     no
+      6    EstimatedAtmosphericTrans            no
+      7    IRWindowTemperature                  no
+      8    IRWindowTransmission                 no
+
+=head3 FLIR UnknownUUID Tags
+
+Tags extracted from the "uuid" box with ID 574520502cbb44adae5415e9b839d903
+in FLIR MP4 videos.
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
+=head3 FLIR GPS_UUID Tags
+
+Tags extracted from the "uuid" box with ID 7f2e21008b464918afb1de709a74f6f5
+in FLIR MP4 videos.
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    GPSLatitude                          no
+      2    GPSLongitude                         no
+      3    GPSAltitude                          no
+
+=head3 FLIR MoreInfo Tags
+
+Tags extracted from the "uuid" box with ID 2b452fdc74354094baee22a6b23a7cf8
+in FLIR MP4 videos.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      5    LensModel                            no
+     11    UnknownTemperature1?                 no
+     15    UnknownTemperature2?                 no
+
+=head3 FLIR AFF Tags
+
+Tags extracted from FLIR "AFF" SEQ images.
+
+  Tag ID       Tag Name                         Writable
+  ------       --------                         --------
+  '_header'    AFFHeader                        FLIR Header
+  0x0001       AFF1                             FLIR AFF1
+  0x0005       AFF5                             FLIR AFF5
+
+=head3 FLIR AFF1 Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      1    SensorWidth                          no
+      2    SensorHeight                         no
+
+=head3 FLIR AFF5 Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+     19    SensorWidth                          no
+     20    SensorHeight                         no
+
+=head3 FLIR FPF Tags
+
+Tags extracted from FLIR Public image Format (FPF) files.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     32    FPFVersion                           no
+     36    ImageDataOffset                      no
+     40    ImageType                            no
+     42    ImagePixelFormat                     no
+     44    ImageWidth                           no
+     46    ImageHeight                          no
+     48    ExternalTriggerCount                 no
+     52    SequenceFrameNumber                  no
+    120    CameraModel                          no
+    152    CameraPartNumber                     no
+    184    CameraSerialNumber                   no
+    216    CameraTemperatureRangeMin            no
+    220    CameraTemperatureRangeMax            no
+    224    LensModel                            no
+    256    LensPartNumber                       no
+    288    LensSerialNumber                     no
+    320    FilterModel                          no
+    336    FilterPartNumber                     no
+    384    FilterSerialNumber                   no
+    480    Emissivity                           no
+    484    ObjectDistance                       no
+    488    ReflectedApparentTemperature         no
+    492    AtmosphericTemperature               no
+    496    RelativeHumidity                     no
+    500    ComputedAtmosphericTrans             no
+    504    EstimatedAtmosphericTrans            no
+    508    ReferenceTemperature                 no
+    512    IRWindowTemperature                  no
+    516    IRWindowTransmission                 no
+    584    DateTimeOriginal                     no
+    676    CameraScaleMin                       no
+    680    CameraScaleMax                       no
+    684    CalculatedScaleMin                   no
+    688    CalculatedScaleMax                   no
+    692    ActualScaleMin                       no
+    696    ActualScaleMax                       no
 
 =head2 FujiFilm Tags
@@ -5474,16 +9905,35 @@
   0x100a   WhiteBalanceFineTune                 int32s[2]
   0x100b   NoiseReduction                       int16u
-  0x100e   HighISONoiseReduction                int16u
+  0x100e   NoiseReduction                       int16u
   0x1010   FujiFlashMode                        int16u
   0x1011   FlashExposureComp                    rational64s
   0x1020   Macro                                int16u
   0x1021   FocusMode                            int16u
+  0x1022   AFMode                               int16u
   0x1023   FocusPixel                           int16u[2]
+  0x102b   PrioritySettings                     FujiFilm PrioritySettings
+  0x102d   FocusSettings                        FujiFilm FocusSettings
+  0x102e   AFCSettings                          FujiFilm AFCSettings
   0x1030   SlowSync                             int16u
   0x1031   PictureMode                          int16u
+  0x1032   ExposureCount                        int16u
   0x1033   EXRAuto                              int16u
   0x1034   EXRMode                              int16u
+  0x1040   ShadowTone                           int32s
+  0x1041   HighlightTone                        int32s
+  0x1044   DigitalZoom                          int32u
+  0x1045   LensModulationOptimizer              int32u
+  0x1047   GrainEffect                          int32s
+  0x1048   ColorChromeEffect                    int32s
+  0x1049   BWAdjustment                         int8s
+  0x104d   CropMode                             int16u
+  0x104e   ColorChromeFXBlue                    int32s
+  0x1050   ShutterType                          int16u
   0x1100   AutoBracketing                       int16u
   0x1101   SequenceNumber                       int16u
+  0x1103   DriveSettings                        FujiFilm DriveSettings
+  0x1153   PanoramaAngle                        int16u
+  0x1154   PanoramaDirection                    int16u
+  0x1201   AdvancedFilter                       int32u
   0x1210   ColorMode                            int16u
   0x1300   BlurWarning                          int16u
@@ -5500,6 +9950,26 @@
   0x1407   MaxApertureAtMaxFocal                rational64s
   0x140b   AutoDynamicRange                     int16u
+  0x1422   ImageStabilization                   int16u[3]
+  0x1425   SceneRecognition                     int16u
+  0x1431   Rating                               int32u
+  0x1436   ImageGeneration                      int16u
+  0x1438   ImageCount                           int16u
+  0x1443   DRangePriority                       int16u
+  0x1444   DRangePriorityAuto                   int16u
+  0x1445   DRangePriorityFixed                  int16u
+  0x1446   FlickerReduction                     int32u
+  0x3803   VideoRecordingMode                   int32u
+  0x3804   PeripheralLighting                   int16u
+  0x3806   VideoCompression                     int16u
+  0x3820   FrameRate                            int16u
+  0x3821   FrameWidth                           int16u
+  0x3822   FrameHeight                          int16u
+  0x3824   FullHDHighSpeedRec                   int32u
+  0x4005   FaceElementSelected                  int16u[4]
   0x4100   FacesDetected                        int16u
   0x4103   FacePositions                        int16u[n]
+  0x4200   NumFaceElements                      int16u
+  0x4201   FaceElementTypes                     int8u[n]
+  0x4203   FaceElementPositions                 int16u[n]
   0x4282   FaceRecInfo                          FujiFilm FaceRecInfo
   0x8000   FileSource                           string
@@ -5508,4 +9978,36 @@
   0xb211   Parallax                             rational64s
 
+=head3 FujiFilm PrioritySettings Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    AF-SPriority                         int16u & 0x0f
+    0.2    AF-CPriority                         int16u & 0xf0
+
+=head3 FujiFilm FocusSettings Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    FocusMode2                           int32u & 0xff
+    0.2    AFAreaMode                           int32u & 0xf00
+    0.3    AFAreaPointSize                      int32u & 0xf000
+    0.4    AFAreaZoneSize                       int32u & 0xf0000
+
+=head3 FujiFilm AFCSettings Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    AF-CSetting                          int32u
+    0.1    AF-CTrackingSensitivity              int32u & 0x0f
+    0.2    AF-CSpeedTrackingSensitivity         int32u & 0xf0
+    0.3    AF-CZoneAreaSwitching                int32u & 0xf00
+
+=head3 FujiFilm DriveSettings Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    DriveMode                            int32u & 0xff
+    0.2    DriveSpeed                           int32u & 0xff000000
+
 =head3 FujiFilm FaceRecInfo Tags
 
@@ -5514,28 +10016,28 @@
   Tag Name                                      Writable
   --------                                      --------
-  Face1Birthday                                 N
-  Face1Category                                 N
-  Face1Name                                     N
-  Face2Birthday                                 N
-  Face2Category                                 N
-  Face2Name                                     N
-  Face3Birthday                                 N
-  Face3Category                                 N
-  Face3Name                                     N
-  Face4Birthday                                 N
-  Face4Category                                 N
-  Face4Name                                     N
-  Face5Birthday                                 N
-  Face5Category                                 N
-  Face5Name                                     N
-  Face6Birthday                                 N
-  Face6Category                                 N
-  Face6Name                                     N
-  Face7Birthday                                 N
-  Face7Category                                 N
-  Face7Name                                     N
-  Face8Birthday                                 N
-  Face8Category                                 N
-  Face8Name                                     N
+  Face1Birthday                                 no
+  Face1Category                                 no
+  Face1Name                                     no
+  Face2Birthday                                 no
+  Face2Category                                 no
+  Face2Name                                     no
+  Face3Birthday                                 no
+  Face3Category                                 no
+  Face3Name                                     no
+  Face4Birthday                                 no
+  Face4Category                                 no
+  Face4Name                                     no
+  Face5Birthday                                 no
+  Face5Category                                 no
+  Face5Name                                     no
+  Face6Birthday                                 no
+  Face6Category                                 no
+  Face6Name                                     no
+  Face7Birthday                                 no
+  Face7Category                                 no
+  Face7Name                                     no
+  Face8Birthday                                 no
+  Face8Category                                 no
+  Face8Name                                     no
 
 =head3 FujiFilm RAF Tags
